Bug 238157 - sdchi causes hard lockup when resuming from suspend-to-RAM.
sdchi causes hard lockup when resuming from suspend-to-RAM.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-04-27 11:16 EDT by Trond Danielsen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.21-1.3189.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-24 09:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trond Danielsen 2007-04-27 11:16:19 EDT
Description of problem: 
sdchi causes hard lockup when resuming from suspend-to-RAM.
If the sdhci module is removed before suspending, everything is fine.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Use the gnome-power-management applet to suspend the laptop.
2. Resume.
3. Wait for crash, which happends within the first ten seconds after resuming.
Actual results:
Everything locks up. Nothing works, have to hold the power buttons for several
seconds to force the laptop to shut down.

Expected results:
Resume normal operation.

Additional info:
irq 21: nobody cared (try booting with the "irqpoll" option)
 [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
 [<c04067ad>] show_trace+0x12/0x14
 [<c0406831>] dump_stack+0x16/0x18
 [<c04594fc>] __report_bad_irq+0x39/0x79
 [<c04596e5>] note_interrupt+0x1a9/0x1e4
 [<c0459c83>] handle_fasteoi_irq+0x91/0xb6
 [<c0407540>] do_IRQ+0xb1/0xd9
[<dfa2d814>] (rtl8139_interrupt+0x0/0x3cc [8139too])
Disabling IRQ #21

Now sdhci is modprobed....

sdhci: Secure Digital Host Controller Interface driver
sdhci: Copyright(c) Pierre Ossman
sdhci: SDHCI controller found at 0000:01:03.2 [1180:0822] (rev 17)
ACPI: PCI Interrupt 0000:01:03.2[C] -> GSI 20 (level, low) -> IRQ 21
: Reset 0x1 never completed.
sdhci: ============== REGISTER DUMP ==============
sdhci: Sys addr: 0xffffffff | Version:  0x0000ffff
sdhci: Blk size: 0x0000ffff | Blk cnt:  0x0000ffff
sdhci: Argument: 0xffffffff | Trn mode: 0x0000ffff
sdhci: Present:  0xffffffff | Host ctl: 0x000000ff
sdhci: Power:    0x000000ff | Blk gap:  0x000000ff
sdhci: Wake-up:  0x000000ff | Clock:    0x0000ffff
sdhci: Timeout:  0x000000ff | Int stat: 0xffffffff
sdhci: Int enab: 0xffffffff | Sig enab: 0xffffffff
sdhci: AC12 err: 0x0000ffff | Slot int: 0x0000ffff
sdhci: Caps:     0xffffffff | Max curr: 0xffffffff
sdhci: ===========================================
sdhci:slot0: Unknown controller version (255). You may experience problems.
sdhci:slot0: Invalid maximum block size.
ACPI: PCI interrupt for device 0000:01:03.2 disabled
Comment 1 Trond Danielsen 2007-05-16 12:27:37 EDT
Recent tests show that I also have to remove the mmc_core module too to prevent
the computer from locking up.
Comment 2 Richard Hughes 2007-05-24 06:40:39 EDT
Does this work with the latest kernel from rawhide? If so, please can you close
this bug. Thanks!
Comment 3 Trond Danielsen 2007-05-24 09:44:37 EDT
It seems to work now, which is great. The sdhci messages are gone from dmesg, so
everything seems to be fine. Bug closed!

Note You need to log in before you can comment on or make changes to this bug.